summaryrefslogtreecommitdiffstats
path: root/stap-add-server-cert
diff options
context:
space:
mode:
authorDave Brolley <brolley@redhat.com>2009-02-03 12:28:18 -0500
committerDave Brolley <brolley@redhat.com>2009-02-03 12:28:18 -0500
commit6288515e1af7d7699628e2c4843f565938fa03a9 (patch)
tree7535050845f91d2f10dce54991a9966ddc0acd1d /stap-add-server-cert
parentf5a40c83733a8270c1b9e991b8999e5fc8601e5f (diff)
downloadsystemtap-steved-6288515e1af7d7699628e2c4843f565938fa03a9.tar.gz
systemtap-steved-6288515e1af7d7699628e2c4843f565938fa03a9.tar.xz
systemtap-steved-6288515e1af7d7699628e2c4843f565938fa03a9.zip
Document client/server certificate management and tools.
Diffstat (limited to 'stap-add-server-cert')
-rwxr-xr-xstap-add-server-cert10
1 files changed, 5 insertions, 5 deletions
diff --git a/stap-add-server-cert b/stap-add-server-cert
index 5e075725..a94c5955 100755
--- a/stap-add-server-cert
+++ b/stap-add-server-cert
@@ -25,21 +25,21 @@ if test "X$2" = "X"; then
echo "Certificate database directory must be specified" >&2
exit 1
fi
-if ! test -d $2/client; then
- if ! mkdir -p -m 755 $2/client; then
- echo "Unable to find or create the client certificate database directory: $2/client" >&2
+if ! test -d $2; then
+ if ! mkdir -p -m 755 $2; then
+ echo "Unable to find or create the client certificate database directory: $2" >&2
exit 1
fi
fi
# Add the certificate
-if ! certutil -A -n stap-server -d $2/client -i $1 -t "P,P,P" > /dev/null; then
+if ! certutil -A -n stap-server -d $2 -i $1 -t "P,P,P" > /dev/null; then
echo "Unable to add $1 to the client certificate database $2" >&2
exit 1
fi
# Ensure that the database is readable by others
-if ! chmod +r $2/client/*.db; then
+if ! chmod +r $2/*.db; then
echo "Warning: unable to make the client certificate database $2 readable by others" >&2
fi